library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_signed.all;


entity shift_right is
	port( D: in std_logic_vector(7 downto 0);
	      N: in integer range 0 to 8; 
		  Q: out std_logic_vector(7 downto 0) );
end shift_right;

architecture beh of shift_right is
begin
	
	Q<= SHR(D,conv_std_logic_vector(N,4));
end beh;

		  